Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core
Interface DatabaseEventListener

public interface DatabaseEventListener

DatabaseEventListener is an interface that can be implemented by a class and registered with a Database instance in order to listen for various events. Such events may effect the management of processes like system security. These events might include Collection creation and deletion.

Method Summary
`void` | `createCollection(Collection collection)` createCollection is called by the Database when a Collection is created.
`void` | `dropCollection(Collection collection)` dropCollection is called by the Database when a Collection is dropped.

Method Detail

### createCollection

    public void createCollection(Collection collection)

  createCollection is called by the Database when a Collection is created. This event will give the event listener an opportunity to perform tasks such as assign default permissions for the creating User.

  Parameters:
    `collection` - The Collection that was created

### dropCollection

    public void dropCollection(Collection collection)

  dropCollection is called by the Database when a Collection is dropped. This event will give the event listener to perform some housecleaning, such as removing permissions for a path that no longer exists.

  Parameters:
    `collection` - The Collection that was dropped

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group